import request from '@/utils/request'

/**
 * 保存邮件模板
 * @param id
 * @param name
 * @param description
 * @param content
 * @param pic
 * @returns {*}
 */
export function saveTemplate(id,name,description,content,pic){
  return request({
    url: '/api/invitation/temp-save',
    method: 'post',
    data: {
      id,
      name,
      description,
      content,
      pic
    }
  })
}

/**
 * 删除邮件模板
 * @param id
 * @returns {*}
 */
export function deleteTemplate(id){
  return request({
    url: '/api/invitation/temp',
    method: 'delete',
    data: {
      id
    }
  })
}

/**
 * 获取邮件模板列表
 * @param page
 * @param page_size
 * @returns {*}
 */
export function getTemplateList(page, page_size){
  return request({
    url: '/api/invitation/temp-list',
    method: 'get',
    params: {
      page,
      page_size
    }
  })
}
